#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.10.0.0
visibility:           public
id:                   ghcide-1.10.0.0-LFBMVtzsIe3JNjhy9BYcJ9
key:                  ghcide-1.10.0.0-LFBMVtzsIe3JNjhy9BYcJ9
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  ba68b7089e94e45d1be3a6dc9cbe4d65
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.10.0.0-LFBMVtzsIe3JNjhy9BYcJ9
depends:
    Diff-0.4.1-7DJ54PO7amxJCKVFCJguu4
    Glob-0.10.2-IttgZQd8QbwIoW4wWo8qwk
    aeson-2.1.2.1-IkP1OjeNuTxglWxWeIvI9
    aeson-pretty-0.8.10-5TSYkD8Co5LLMI8e0zAoII array-0.5.4.0
    async-2.2.5-A9yY3sStrUyIJcfOkNbDOv base-4.16.4.0
    base16-bytestring-1.0.2.0-BfU7bG0tjnC37zYxX4slQA binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-3YsL0BQanAbLHEhUwcLo8j
    co-log-core-0.3.2.2-VZhU5Wzr8j8lxTme27YnF containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-FK78eaIbqeKIh0xsxtm8Tm
    data-default-0.7.1.1-KHhiQ7RPZneCNDFTFmFAYS deepseq-1.4.6.1
    dependent-map-0.4.0.0-HXyX00OeZ87K3cWb7I1lTL
    dependent-sum-0.7.2.0-JH5pccE1vF0DmZ6QVyOR9a directory-1.3.6.2
    dlist-1.0-HCxoMn9TirQDgPCFxho7O
    enummapset-0.7.3.0-kBmUjFfEdGEC1c6fVEmDa exceptions-0.10.4
    extra-1.7.16-HmT1ExbMa8s7Fr43bhn74d filepath-1.4.2.2
    fingertree-0.1.5.0-BJfLF3cC2IH9TyQaIR6o3F
    focus-1.0.3.2-6UprU2sPUyeHLEJJj1NaoZ ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-A99IsLhTUgt4wSFFZ8VlOB
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.9-FI8xtj0TQjuI48HJs0fG9x
    haddock-library-1.11.0-JvkTEqKgqPjsSBTcT0jU
    hashable-1.4.4.0-DtL5AH6y1if92iaAq0qoKj
    hie-bios-0.12.0-5XFzcYkFCpcGOPafylWqP5
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.3.0-JxQdbiwQN48FNkqdyUmPF2
    hls-graph-1.9.0.0-JWTEGexZUZuHjSIXPMGTYC
    hls-plugin-api-1.6.0.0-HtEylls4cNMC3Ki8TjLKm0
    implicit-hie-0.1.2.7-1eZnrxoZLARGfSJ6usLL4m
    implicit-hie-cradle-0.5.0.1-8tF0sIvx0tj4NMyfauCaln
    lens-5.2.3-QYXO5VAAmZ55WrLxxHJc7
    list-t-1.0.5.5-Eq3ozHcKknJYjGgayKptQ
    lsp-1.6.0.0-BaicFQnqSVR4cAr1aqpitB
    lsp-types-1.6.0.0-8LTumI4KXIR413moENO3HL mtl-2.2.2
    opentelemetry-0.8.0-5ZxVinSF9ag4F0Lc9DWD4Q
    optparse-applicative-0.17.1.0-G3d2ugE95DU3DYNCy08LZF
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-9qid7zuo3B05OoqIIBWgnL
    prettyprinter-ansi-terminal-1.1.3-LWMhohC2bf65OdaY6HUJHG
    random-1.2.1.2-LilJ2o1ueBgJ3oDFJkkk0o
    regex-tdfa-1.3.2.2-743XGAHrGLPIAyhrr2nNbU
    safe-exceptions-0.1.7.4-KwVF8rE0Qd68mvPTnJ9s14
    sorted-list-0.2.2.0-5gvI3TxvI1l28SUYOFwV6c
    sqlite-simple-0.4.19.0-DnOGKqXmFcA7knRbnzcDv stm-2.5.0.2
    stm-containers-1.2.1-BHs89jw9vzgFADhvwaamb6
    syb-0.7.2.4-89doc1zYrrWCF1u4CgIEo3 text-1.2.5.0
    text-rope-0.3-1VrQ1pRPwRCWsT4ULOD1G time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.0-Bqf4m3XJMY4LhFmNMLVjQx
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-KbuohGKDXjMH23185MHhrF
    vector-0.13.1.0-1Hbj4hORR7KGMeSpv0BhQN

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

